/*********************************************************************
 * [EFur[A] common.js
 *
 * Copyright (C) 2009 ASANO Sei All Rights Reserved.
 *********************************************************************/
// L[R[h
var KEY_CODE = {
	PAGE_UP   : 33,
	PAGE_DOWN : 34,
	END       : 35,
	HOME      : 36,
	LEFT      : 37,
	RIGHT     : 39,
	J : 74
}
/*********************************************************************
 * bZ[WEChẼA[g_CAO\B
 *--------------------------------------------------------------------
 * [] \bZ[WB͕sB
 *********************************************************************/
function showMsgDialog() {
	if (showMsgDialog.arguments.length <= 0) return;
	var wk = new Array();
	for (var i=0 ; i<showMsgDialog.arguments.length ; i++) {
		wk.push(showMsgDialog.arguments[i]);
	}
	if (!wk.length) return;
	alert(wk.join("\n"));
}
/*********************************************************************
 * YYYY-MM-DD HH:MN:SS(~b)`Ő`ԂB
 *--------------------------------------------------------------------
 * [] DateIuWFNg
 * [߂] `
 *********************************************************************/
function getFormattedDate(date) {
	var yy = date.getFullYear();
	var mm = date.getMonth() + 1;
	var dd = date.getDate();
	var hh = date.getHours();
	var mn = date.getMinutes();
	var sc = date.getSeconds();
	var ms = date.getMilliseconds();
	if (mm < 10) { mm = "0" + mm; }
	if (dd < 10) { dd = "0" + dd; }
	if (hh < 10) { hh = "0" + hh; }
	if (mn < 10) { mn = "0" + mn; }
	if (sc < 10) { sc = "0" + sc; }
	return yy + "-" + mm + "-" + dd + " " + hh + ":" + mn + ":" + sc + " (" + ms + ")";
}
/*********************************************************************
 * Ɋ܂܂Sp𔼊pɕϊĕԂB̑Oɋ
 * (p^Sps)Ăꍇ́AĂϊsȂB
 *--------------------------------------------------------------------
 * [] data: 
 * [߂] ϊ̕BɕϊłȂꍇnull
 *********************************************************************/
function zenToHanForNumber(data) {
	var s, escapeStr;
	str = unescape(escape(data).replace(/^(%u3000|%20)+|(%u3000|%20)+$/g, ""));
	if (str.length <= 0) return null;
	var result = "";
	for (var i=0 ; i<str.length ; i++) {
		s = str.substr(i, 1);
		escapeStr = escape(s);
		if (escapeStr.length > 1) {
			if (escapeStr.substr(0, 5) == "%uFF1") { //Sp
				result += escapeStr.substr(5, 1);
				continue;
			} else { //񐔎
				return null;
			}
		} else {
			if (isNaN(s)) {
				return null;
			} else {
				result += s;
				continue;
			}
		}
	}
	return result;
}
/*********************************************************************
 * [fobOp] ƂēnIuWFNgɂāÂQڈȍ~
 * w肵vpeB̒li[StringԂB
 *--------------------------------------------------------------------
 * [] 1Ԗ:IuWFNgA2Ԗڈȍ~:vpeB
 * [߂] vpeB̖̂ƒli[String
 *********************************************************************/
function getSomeProperties() {
	if (getSomeProperties.arguments.length < 2) return;
	var s = "--- getProperties ---\n";
	var obj = getSomeProperties.arguments[0];
	for (var i=1 ; i<getSomeProperties.arguments.length ; i++) {
		var arg = getSomeProperties.arguments[i];
		try {
			if (obj[arg] == undefined) continue;
			s += "[" + arg + "]\t" + obj[arg] + "\n";
		} catch(e) {
			s += "[" + arg + "]\t" + e.description + "\n";
		}
	}
	return s + "--- (end) ---\n";
}
/*********************************************************************
 * [fobOp] IuWFNg̑SvpeBi[StringԂ܂B
 *--------------------------------------------------------------------
 * [] obj: IuWFNg
 * [߂] SvpeB̖̂ƒli[String
 *********************************************************************/
function getAllProperties(obj) {
	if (!obj) return null;
	var s = "--- getProperties ---\n";
	for (var name in obj) {
		try {
			s += "[" + name + "]\t" + obj[name] + "\n";
		} catch(e) {
			s += "[" + name + "]\t<ERROR>" + e + "\n";
		}
	}
	return s + "--- (end) ---\n";
}
