/*********************************************************************
 * [EFur[A] mangaBook.js
 *
 * Copyright (C) 2009 ASANO Sei All Rights Reserved.
 *********************************************************************/
function MangaBook_Page() {
	this.url = "";
	this.index = 0; //MangaBook_Spread.pages̓YƓB
}
function MangaBook_Spread() {
	this.index = 0; //MangaBook.spreads̓YƓB
	this.pages = new Array();
}
function MangaBook() {
	this.width = 0;  //Sy[Wʂ̉摜̕
	this.height = 0; //Sy[Wʂ̉摜̍
	this.nowIndex = -1; //\̌Jindex
	this.pageArray = new Array(); //y[WindexƌJindex̑Ή\B
	this.spreads = new Array();
	this.isLastSpread = MangaBook_isLastSpread;
	this.isFirstSpread = MangaBook_isFirstSpread;
	this.getCurrentSpreadPageCount = MangaBook_getCurrentSpreadPageCount;
	this.getCurrentSpread = MangaBook_getCurrentSpread;
	this.addSpread = MangaBook_addSpread;
	this.getSpread = MangaBook_getSpread;
	this.move = MangaBook_move;
	this.moveFirst = MangaBook_moveFirst;
	this.moveLast = MangaBook_moveLast;
	this.moveNext = MangaBook_moveNext;
	this.movePrev = MangaBook_movePrev;
}
function MangaBook_isLastSpread() {
	return (this.nowIndex >= (this.spreads.length-1));
}
function MangaBook_isFirstSpread() {
	return (this.nowIndex <= 0);
}
function MangaBook_getCurrentSpreadPageCount() {
	if ((this.nowIndex < 0)||(this.nowIndex >= this.spreads.length)) return null;
	return this.spreads[this.nowIndex].pages.length;
}
function MangaBook_addSpread(spread) {
	this.spreads.push(spread);
	spread.index = (this.spreads.length-1);
	for (var i=0 ; i<spread.pages.length ; i++) {
		for (var j=0 ; j<spread.pages.length ; j++) {
			this.pageArray[spread.pages[i].index] = spread.index;
		}
	}
}
function MangaBook_getSpread(index) {
	if (index < 0) return null;
	if (index >= this.spreads.length) return null;
	return this.spreads[index];
}
function MangaBook_getCurrentSpread() {
	return this.getSpread(this.nowIndex);
}
function MangaBook_moveFirst() {
	this.nowIndex = 0;
	return true;
}
function MangaBook_moveLast() {
	this.nowIndex = this.spreads.length - 1;
	return true;
}
function MangaBook_moveNext() {
	if (this.isLastSpread()) return false;
	this.nowIndex++;
	return true;
}
function MangaBook_movePrev() {
	if (this.isFirstSpread()) return false;
	this.nowIndex--;
	return true;
}
function MangaBook_move(spreadIndex) {
	if (spreadIndex < 0) return false;
	if (spreadIndex >= (this.spreads.length)) return false;
	this.nowIndex = spreadIndex;
	return true;
}
function MangaBook_movePage(pageIndex) {
	var spreadIndex = this.pageArray[pageIndex];
	if (spreadIndex == undefined) return false;
	return this.move(spreadIndex);
}
